Add an admin to a card

Add an admin to a card.

Use this when the account owner wants another person to help manage a card. Admin privileges are scoped to the specific card.

Typical flow:

  1. Create or locate a card.
  2. Call this endpoint with the admin email and desired privileges.
  3. Use GET /api/card-admins/card/:card_id to review current admins.
  4. Use PUT /api/card-admins/:card_admin_id to adjust privileges later.

Example:

curl -X POST "$BASE_URL/api/card-admins" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{
    "card_id": "<card_id>",
    "email": "[email protected]",
    "name": "Team Manager",
    "privilege": {
      "can_update": true,
      "invite_contributors": true,
      "admin_management": true
    }
  }'

Authentication for this endpoint requires this header:

  • Authorization: Bearer <access_token>

Generate the bearer token by:

  1. rotating credentials at POST /account/api-access/credentials/rotate
  2. exchanging them at POST /account/api-access/token
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Card ID to add admin to

string
required

Admin email address (used for notification and user lookup)

string

Admin name

privilege
object

Admin privileges (defaults to all false if not provided)

Response
201
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!